/*
 * OneWire.h
 *
 *  Created on: Feb 28, 2018
 *      Author: sebastian
 */

#ifndef ONEWIRE_H_
#define ONEWIRE_H_

#include <wiringPi.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <inttypes.h>
#include <unistd.h>

#include "global.h"
#include "logger.h"


#define OW_PIN	5


void OneWire_init(void);
void OW_writeByte(uint8_t byte);
uint8_t OW_readByte(void);
uint8_t OW_touchByte(uint8_t data);
void OW_block(uint8_t *data, uint8_t data_len);
void OW_writeBit(uint8_t bit);
uint8_t OW_readBit(void);
uint8_t OW_reset(void);

#endif /* ONEWIRE_H_ */
